\name{Q1df}
\alias{Q1df}
\title{calculate Q matrix with 1 free parameter}
\description{
calculate Q matrix with 1 free parameter if the rate parameter is given, also passing branch length parameters. }
\usage{
Q1df(theta)
}
\arguments{
  \item{theta}{rate and branch length parameters to calculate Q matrix.}
}

\value{
  \item{Q}{Q matrix}
  \item{pis}{equilibrium frequency}
  \item{tt}{branch length}
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{
Jukes-Cantor like model, can be used for transitions between two states.
}
