\name{Q3df}
\alias{Q3df}
\title{calculate Q matrix with 3 free parameter}
\description{
calculate Q matrix with 3 free parameter if the rate parameter is given, also passing branch length parameters. }
\usage{
Q3df(theta)
}
\arguments{
  \item{theta}{rate and branch length parameters to calculate Q matrix.}
}

\value{
  \item{Q}{Q matrix}
  \item{pis}{equilibrium frequency}
  \item{tt}{branch length}
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{
model for transitions between three states with 3 free parameters. 
}
