\name{cond.var}
\alias{cond.var}
\title{calculate conditional variance for a given tree branch}
\description{
This function calculates conditional variance for a given tree branch, and is called by \code{tree.cond.var}
}
\usage{
cond.var(anc.state, des.state, tt, pmat2)
}
\arguments{
  \item{anc.state}{scalar taking values 1, 2 or 3, ancestral state}
  \item{des.state}{scalar taking values 1, 2 or 3, descendent state}
  \item{tt}{branch length}
  \item{pmat2}{a list calculated from \code{pmat2()} function, transition matrix in time \code{tt} }
}
\value{A 9 by 9 matrix holding the conditional variance for a given tree branch}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{For internal use only.}
