\name{cond.mean}
\alias{cond.mean}
\title{calculate conditional mean for a given tree branch}
\description{
This function calculates conditional mean for a given tree branch, and is called by \code{tree.cond.mean}
}
\usage{
cond.mean(anc, des, tt, pmi)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{anc}{scalar taking values 1, 2 or 3, ancestral state}
  \item{des}{scalar taking values 1, 2 or 3, descendent state}
  \item{tt}{branch length}
  \item{pmi}{a list calculated from \code{pmat2()} function, transition matrix in time \code{tt}}
}
\value{
a vector of length 9, holding conditional mean for a given branch
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{
For internal use only.}
