\name{qithet.grad}
\alias{qithet.grad}
\title{A scalar function evaluating the first order derivative of q(theta)* at estimated parameter values}
\description{
This is a scalar function evaluating the first order derivative of q(theta)* at estimated parameter values.
}
\usage{
qithet.grad(x, index, rateonly)
}
\arguments{
  \item{x}{rate and branch length parameters estimated by the EM algorithm
}
  \item{index}{index of the tree branch
}
  \item{rateonly}{A logical flag, representing whether the EM only estimated rate parameters in Q matrix and keep tree branch lengths fixed.
}
}
\value{
A scalar, the first order derivative of q(theta)* evaluated at EM estimated parameter values
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{
for internal use only
}
