\name{two.part.integral}
\alias{two.part.integral}
\title{calculating two part integral required for calculating conditional variance}
\description{This function calculates two part integral required for calculating conditional variance, and is called by \code{cond.var}
}
\usage{
two.part.integral(aa, bb, cc, dd, V, l, pis, t0)
}
\arguments{
\item{aa}{interger in 1:3}
  \item{bb}{interger in 1:3}
  \item{cc}{interger in 1:3}
  \item{dd}{interger in 1:3}
  \item{V}{eigenvectors calculated from \code{Pmat2}}
  \item{l}{eigenvalues calculated from \code{Pmat2}}
  \item{pis}{equilibrium frequency}
  \item{t0}{branch length}
}
\value{
A scalar representing the evaluated integral.
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{For internal use only}

